package com.hzya.frame.util;

import com.alibaba.fastjson.JSONObject;

/**
 * @Author lvleigang
 * @Description service 工具类
 * @Date 11:36 上午 2023/3/6
 * @return
 **/
public class ServiceUtil {
    /**
     * @param key        健
     * @param jsonObject json数据
     * @return java.lang.String
     * @Author lvleigang
     * @Description 根据key获取数据jsonObject中的数据，如果没有设置默认值
     * @Date 3:41 下午 2023/2/14
     **/
    protected <T> T getData(String key, JSONObject jsonObject, Class<T> clz) {
        if (checkStr(jsonObject.getString(key))) {
            return jsonObject.getJSONObject(key).toJavaObject(clz);
        }
        return null;
    }

    /**
     * @param str
     * @return void
     * @Author lvleigang
     * @Description 校验字符串
     * @Date 11:41 上午 2022/12/7
     **/
    private Boolean checkStr(String str) {
        Boolean flag = true;
        if (str == null || "".equals(str)) {
            flag = false;
        }
        return flag;
    }


}
